| Flutter Windows Embedder |

Public Member Functions | Public Attributes | List of all members
flutter::testing::MockWindowsLifecycleManager Class Reference
Inheritance diagram for flutter::testing::MockWindowsLifecycleManager:

## Public Member Functions
| MockWindowsLifecycleManager (FlutterWindowsEngine *engine)
virtual | ~MockWindowsLifecycleManager ()
| MOCK_METHOD (void, Quit,(std::optional< HWND >, std::optional< WPARAM >, std::optional< LPARAM >, UINT),(override))
| MOCK_METHOD (void, DispatchMessage,(HWND, UINT, WPARAM, LPARAM),(override))
| MOCK_METHOD (bool, IsLastWindowOfProcess,(),(override))
| MOCK_METHOD (void, SetLifecycleState,(AppLifecycleState),(override))
void | BeginProcessingLifecycle () override
Public Member Functions inherited from flutter::WindowsLifecycleManager
| WindowsLifecycleManager (FlutterWindowsEngine *engine)
virtual | ~WindowsLifecycleManager ()
virtual void | Quit (std::optional< HWND > window, std::optional< WPARAM > wparam, std::optional< LPARAM > lparam, UINT exit_code)
bool | WindowProc (HWND hwnd, UINT msg, WPARAM w, LPARAM l, LRESULT *result)
virtual void | BeginProcessingExit ()
virtual void | SetLifecycleState (AppLifecycleState state)
virtual void | OnWindowStateEvent (HWND hwnd, WindowStateEvent event)
AppLifecycleState | GetLifecycleState ()
bool | IsUpdateStateScheduled () const
std::optional< LRESULT > | ExternalWindowMessage (HWND hwnd, UINT message, WPARAM wparam, LPARAM lparam)

## Public Attributes
std::function< void()> | begin_processing_callback = nullptr

## Additional Inherited Members
Protected Member Functions inherited from flutter::WindowsLifecycleManager
virtual bool | IsLastWindowOfProcess ()
virtual void | DispatchMessage (HWND window, UINT msg, WPARAM wparam, LPARAM lparam)

## Detailed Description

Definition at line 763 of file flutter_windows_engine_unittests.cc.

## Constructor & Destructor Documentation

## ◆ MockWindowsLifecycleManager()

flutter::testing::MockWindowsLifecycleManager::MockWindowsLifecycleManager | ( | FlutterWindowsEngine * | engine | ) |
| inline

Definition at line 765 of file flutter_windows_engine_unittests.cc.

766 : WindowsLifecycleManager(engine) {}
flutter::WindowsLifecycleManager::WindowsLifecycleManager
WindowsLifecycleManager(FlutterWindowsEngine *engine)
Definition: windows_lifecycle_manager.cc:16

## ◆ ~MockWindowsLifecycleManager()

virtual flutter::testing::MockWindowsLifecycleManager::~MockWindowsLifecycleManager | ( |  | ) |
| inlinevirtual

Definition at line 767 of file flutter_windows_engine_unittests.cc.

767 {}

## Member Function Documentation

## ◆ BeginProcessingLifecycle()

void flutter::testing::MockWindowsLifecycleManager::BeginProcessingLifecycle | ( |  | ) |
| inlineoverridevirtual

Reimplemented from flutter::WindowsLifecycleManager.

Definition at line 778 of file flutter_windows_engine_unittests.cc.

778 {
779 WindowsLifecycleManager::BeginProcessingLifecycle();
780 if (begin_processing_callback) {
781 begin_processing_callback();
782 }
783 }
flutter::WindowsLifecycleManager::BeginProcessingLifecycle
virtual void BeginProcessingLifecycle()
Definition: windows_lifecycle_manager.cc:187
flutter::testing::MockWindowsLifecycleManager::begin_processing_callback
std::function< void()> begin_processing_callback
Definition: flutter_windows_engine_unittests.cc:785

References begin_processing_callback, and flutter::WindowsLifecycleManager::BeginProcessingLifecycle().

## ◆ MOCK_METHOD() [1/4]

flutter::testing::MockWindowsLifecycleManager::MOCK_METHOD | ( | bool | ,
|  | IsLastWindowOfProcess | ,
|  | () | ,
|  | (override) |
| ) |  |

## ◆ MOCK_METHOD() [2/4]

flutter::testing::MockWindowsLifecycleManager::MOCK_METHOD | ( | void | ,
|  | DispatchMessage | ,
|  | (HWND, UINT, WPARAM, LPARAM) | ,
|  | (override) |
| ) |  |

## ◆ MOCK_METHOD() [3/4]

flutter::testing::MockWindowsLifecycleManager::MOCK_METHOD | ( | void | ,
|  | Quit | ,
|  | (std::optional< HWND >, std::optional< WPARAM >, std::optional< LPARAM >, UINT) | ,
|  | (override) |
| ) |  |

## ◆ MOCK_METHOD() [4/4]

flutter::testing::MockWindowsLifecycleManager::MOCK_METHOD | ( | void | ,
|  | SetLifecycleState | ,
|  | (AppLifecycleState) | ,
|  | (override) |
| ) |  |

## Member Data Documentation

## ◆ begin_processing_callback

std::function<void()> flutter::testing::MockWindowsLifecycleManager::begin_processing_callback = nullptr

Definition at line 785 of file flutter_windows_engine_unittests.cc.

Referenced by BeginProcessingLifecycle().

The documentation for this class was generated from the following file:

- shell/platform/windows/flutter_windows_engine_unittests.cc